This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 855529 - Review Request: pygrib - Python module for reading and writing GRIB (editions 1 and 2) files (2)
Review Request: pygrib - Python module for reading and writing GRIB (editions...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: 806037 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 12:20 EDT by Jos de Kloe
Modified: 2013-03-15 21:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 21:37:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jos de Kloe 2012-09-08 12:20:58 EDT
copy of my request of 2012-03-22 13:55:10 EDT 
(this new bug is needed to allow moving this to the proper account that I wish to use to maintain the package; there seems no other wy in bugzilla to do this).
Comment 1 jdekloe 2012-09-08 12:26:10 EDT
*** Bug 806037 has been marked as a duplicate of this bug. ***
Comment 2 jdekloe 2012-09-08 17:47:35 EDT
new versions of the SRPM and SPEC file are here:

Spec URL: http://jdekloe.nl/Fedora/pygrib.spec
SRPM URL: http://jdekloe.nl/Fedora/pygrib-1.9.4-3.fc17.src.rpm

Volker:

>Building with openjpeg works, locally on F16 as well as on F17

yes this is correct. It is pyproj that is the problem. This is not required for building, but it is for running the module!

>I thought about spelling it "pre-cooked"!

A I see, so 'k' not 'ck'. I could not find it in my regular dictionary, but according to some online dictionaries it should be without dash as well, so I changed it into precooked ...

>To my knowledge, BRing grib_api-static and g2clib-static should be enough. No >need to have grib_api-devel and g2clib-devel too.

Thanks for explaining. This actually was not obvious at all to me. Building the c-code needs the header files which are part of the devel packages. Apparantly this happens automatically if the static packages are BR'ed? I must have overlooked the documentation section that explains this.
Anyway, I removed them and the package still builds alright.

>That comment doesn't make sense:

I tried to rephrase it.

> Devel packages always require the base package. You therefore mostly need to > specify devel packages as BR.

Doesn't this contradict your suggestion above to remove the grib_api-devel and g2clib-devel?
Comment 3 Jos de Kloe 2012-11-08 10:27:52 EST
I upgraded to upstream version 1.9.5

srpm and spec file are here:

Spec URL: http://jdekloe.nl/Fedora/pygrib.spec
SRPM URL: http://jdekloe.nl/Fedora/pygrib-1.9.5-1.fc17.src.rpm

Changes:
- update to upstream version 1.9.5
- add the doc files to the files list
- activate the check section (and add pyproj as BR to make this work)

mock and koji both successfully build the rpm's
see: http://koji.fedoraproject.org/koji/taskinfo?taskID=4667582

Note that rawhide or f18 is needed to build this package since f17 does not have the right proj version.

rpmlint results are:

$ rpmlint pygrib-1.9.5-1.fc19.src.rpm
pygrib.src: W: spelling-error %description -l en_US grib -> brig, grub, grin
pygrib.src: W: spelling-error %description -l en_US gridded -> griddle, ridged
pygrib.src: W: invalid-url Source0: http://pygrib.googlecode.com/files/pygrib-1.9.5.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint pygrib-1.9.5-1.fc19.x86_64.rpm
pygrib.x86_64: W: spelling-error %description -l en_US Cython -> Python
pygrib.x86_64: W: spelling-error %description -l en_US grib -> brig, grub, grin
pygrib.x86_64: W: spelling-error %description -l en_US gridded -> griddle, ridged
pygrib.x86_64: W: no-manual-page-for-binary grib_list
pygrib.x86_64: W: no-manual-page-for-binary cnvgrib1to2
pygrib.x86_64: W: no-manual-page-for-binary cnvgrib2to1
pygrib.x86_64: W: no-manual-page-for-binary grib_repack
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

$ rpmlint pygrib-debuginfo-1.9.5-1.fc19.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

The missing man-pages have been reported upstream, see:
http://code.google.com/p/pygrib/issues/detail?id=62

Adapting to python3 is still on my wish list. I hope to find some time soon to do this.
Comment 4 Jos de Kloe 2012-11-22 11:06:01 EST
building for python3 is now implemented as well. I had to patch 2 small python3 coding issues which have been submitted upstream at:
http://code.google.com/p/pygrib/issues/detail?id=62

The new srpm and spec file are here:

Spec URL: http://jdekloe.nl/Fedora/pygrib.spec
SRPM URL: http://jdekloe.nl/Fedora/pygrib-1.9.5-2.fc17.src.rpm

rpmbuild and mock results look fine to me.
Koji results are here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4716772

rpmlint results are unchanged compared to the previous version for:
pygrib-1.9.5-2.fc19.src.rpm
pygrib-1.9.5-2.fc19.x86_64.rpm
pygrib-debuginfo-1.9.5-2.fc19.x86_64.rpm

new rpmlint results for python3-pygrib-1.9.5-2.fc19.x86_64.rpm are:

$ rpmlint python3-pygrib-1.9.5-2.fc19.x86_64.rpm
python3-pygrib.x86_64: W: spelling-error %description -l en_US Cython -> Python
python3-pygrib.x86_64: W: spelling-error %description -l en_US grib -> brig, grub, grin
python3-pygrib.x86_64: W: spelling-error %description -l en_US gridded -> griddle, ridged
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 5 Peter Lemenkov 2013-03-04 23:41:25 EST
I'll review it.
Comment 6 Peter Lemenkov 2013-03-05 03:43:25 EST
Fresh koji scratchbuild

* http://koji.fedoraproject.org/koji/taskinfo?taskID=5079480
Comment 7 Peter Lemenkov 2013-03-05 04:14:53 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint isn't silent but his messages can be safely ignored in this case:

work ~/Desktop: rpmlint py*
pygrib.src: W: spelling-error %description -l en_US grib -> brig, grub, grin
pygrib.src: W: spelling-error %description -l en_US gridded -> griddle, ridged

^^^ false positives 

pygrib.src: W: invalid-url Source0: http://pygrib.googlecode.com/files/pygrib-1.9.5.tar.gz HTTP Error 404: Not Found

^^^ some issue within rpmlint - I've just checked this link and it works just fine.

pygrib.x86_64: W: spelling-error %description -l en_US Cython -> Python
pygrib.x86_64: W: spelling-error %description -l en_US grib -> brig, grub, grin
pygrib.x86_64: W: spelling-error %description -l en_US gridded -> griddle, ridged

^^^ false positives 

pygrib.x86_64: W: no-manual-page-for-binary grib_list
pygrib.x86_64: W: no-manual-page-for-binary cnvgrib1to2
pygrib.x86_64: W: no-manual-page-for-binary cnvgrib2to1
pygrib.x86_64: W: no-manual-page-for-binary grib_repack

^^^ just a sad truth - these binaries indeed doesn't have any man-pages

python3-pygrib.x86_64: W: spelling-error %description -l en_US Cython -> Python
python3-pygrib.x86_64: W: spelling-error %description -l en_US grib -> brig, grub, grin
python3-pygrib.x86_64: W: spelling-error %description -l en_US gridded -> griddle, ridged

^^^ false positives

4 packages and 0 specfiles checked; 0 errors, 13 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum pygrib-1.9.5.tar.gz*
42ac49e0ac7a185fdde9444038fe9df6a8ffe131a783d755e0e93b5ddc4e8bc7  pygrib-1.9.5.tar.gz
42ac49e0ac7a185fdde9444038fe9df6a8ffe131a783d755e0e93b5ddc4e8bc7  pygrib-1.9.5.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5). Beware.
+ All filenames in rpm packages are valid UTF-8.


I don't see any issues so this package is


APPROVED.
Comment 8 Jos de Kloe 2013-03-05 16:59:42 EST
New Package SCM Request
=======================
Package Name: pygrib
Short Description: Python module for reading and writing GRIB (editions 1 and 2) files
Owners: jdekloe
Branches: f18
InitialCC:
Comment 9 Jon Ciesla 2013-03-06 08:34:46 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-03-06 16:03:51 EST
pygrib-1.9.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pygrib-1.9.5-2.fc18
Comment 11 Fedora Update System 2013-03-07 19:08:29 EST
pygrib-1.9.5-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-03-15 21:37:41 EDT
pygrib-1.9.5-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.